1. Esims
VeloeSIM API
  • VeloeSIM
    • Plans
      • getAllPlans
      • getOnePlan
    • Organizations
      • getMyOrganization
    • Orders
      • orderOne
    • Esims
      • getAllEsims
        GET
      • getOneEsim
        GET
      • getEsimTopUpPlans
        GET
      • topUpEsim
        POST
  • Schemas
    • Plan
    • PlansListResponse
    • Organization
    • OrderRequest
    • TopUpRequest
    • Esim
    • EsimsListResponse
    • Area
    • Network
    • AssignedPlan
    • AreaSimple
  1. Esims

getEsimTopUpPlans

GET
/api/wholesale/esims/{iccid}/top-up
Retrieve available top-up plans for an eSIM.

Request

Authorization
or
Path Params

Query Params

Responses

🟢200
application/json
Successful response
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://prod.your-api-server.com/api/wholesale/esims//top-up?limit=undefined&offset=undefined'
Response Response Example
{
    "count": 10,
    "rows": [
        {
            "id": 3035,
            "dataAmount": 1000,
            "duration": 7,
            "price": 3.66,
            "areas": [
                {
                    "id": 5,
                    "name": "Colombia",
                    "region": "South America",
                    "iso": "CO",
                    "networks": [
                        {
                            "name": "Colombia Mobil S.A.",
                            "brandName": "Tigo",
                            "mcc": "732",
                            "mnc": "103",
                            "tagid": "COLCO",
                            "speed": [
                                "2G",
                                "3G",
                                "4G"
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}
Modified at 2026-06-08 10:30:45
Previous
getOneEsim
Next
topUpEsim
Built with